Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core
Interface INonPluginEntry

All Superinterfaces:
  IAdaptable, IPlatformEnvironment

All Known Implementing Classes:
  NonPluginEntry

public interface INonPluginEntry
extends IPlatformEnvironment, IAdaptable

Non-plug-in entry defines an arbitrary non-plug-in data file packaged as part of a feature. Non-plug-in entries are not interpreted by the platform (other than being downloaded as part of an install action). They require a custom install handler to be specified as part of the feature. Note, that defining a non-plug-in entry does not necessarily indicate the non-plug-in file is packaged together with any other feature files. The actual packaging details are determined by the feature content provider for the feature.

Clients may implement this interface. However, in most cases clients should directly instantiate or subclass the provided implementation of this interface.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `NonPluginEntry`, `FeatureContentProvider`

Method Summary
`long` | `getDownloadSize()` Returns the download size of the entry, if it can be determined.
`String` | `getIdentifier()` Returns the identifier of this data entry.
`long` | `getInstallSize()` Returns the install size of the feature, if it can be determined.

Methods inherited from interface org.eclipse.update.core.IPlatformEnvironment
`getNL, getOS, getOSArch, getWS`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getIdentifier

    public String getIdentifier()

  Returns the identifier of this data entry.

  Returns:
    data entry identifier
  Since:
    2.0

### getDownloadSize

    public long getDownloadSize()

  Returns the download size of the entry, if it can be determined.

  Returns:
    download size of the feature in KiloBytes, or an indication the size could not be determined
  Since:
    2.0
  See Also:
    `ContentEntryModel.UNKNOWN_SIZE`

### getInstallSize

    public long getInstallSize()

  Returns the install size of the feature, if it can be determined.

  Returns:
    install size of the feature in KiloBytes, or an indication the size could not be determined
  Since:
    2.0
  See Also:
    `ContentEntryModel.UNKNOWN_SIZE`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.